## org.eclipse.datatools.modelbase.sql.constraints.impl
Class PrimaryKeyImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
                      org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
                          org.eclipse.datatools.modelbase.sql.constraints.impl.UniqueConstraintImpl
                              org.eclipse.datatools.modelbase.sql.constraints.impl.PrimaryKeyImpl

All Implemented Interfaces:
  Constraint, PrimaryKey, ReferenceConstraint, SQLObject, TableConstraint, UniqueConstraint

Direct Known Subclasses:
  JDBCPrimaryKey, JDBCUniqueConstraint

public class PrimaryKeyImpl
extends UniqueConstraintImpl
implements PrimaryKey

An implementation of the model object 'Primary Key'.

See Also:
  Serialized Form

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.UniqueConstraintImpl
`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getForeignKey`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
`getMembers`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
`basicSetBaseTable, eBasicRemoveFromContainerFeature, getBaseTable, setBaseTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.UniqueConstraint
`getForeignKey`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.